org.apache.felix.bundlerepository

## Interface Capability

All Known Implementing Classes:
  CapabilityImpl, OSGiCapabilityAdapter

    public interface Capability

A named set of properties representing some capability that is provided by its owner.

Version:
  $Revision: 1.3 $

### Field Summary

Fields
`static java.lang.String` `BUNDLE`
`static java.lang.String` `EXECUTIONENVIRONMENT`
`static java.lang.String` `FRAGMENT`
`static java.lang.String` `PACKAGE`
`static java.lang.String` `SERVICE`

### Method Summary

Methods
`java.util.Map<java.lang.String,java.lang.String>` `getDirectives()` Return the directives of this capability.
`java.lang.String` `getName()` Return the name of the capability.
`Property[]` `getProperties()` Return the properties of this capability
`java.util.Map<java.lang.String,java.lang.Object>` `getPropertiesAsMap()` Return the map of properties.

### Field Detail

#### BUNDLE

    static final java.lang.String BUNDLE

See Also:
  Constant Field Values

#### FRAGMENT

    static final java.lang.String FRAGMENT

See Also:
  Constant Field Values

#### PACKAGE

    static final java.lang.String PACKAGE

See Also:
  Constant Field Values

#### SERVICE

    static final java.lang.String SERVICE

See Also:
  Constant Field Values

#### EXECUTIONENVIRONMENT

    static final java.lang.String EXECUTIONENVIRONMENT

See Also:
  Constant Field Values

### Method Detail

#### getName

    java.lang.String getName()

Return the name of the capability.

#### getProperties

    Property[] getProperties()

Return the properties of this capability

Returns:

#### getPropertiesAsMap

    java.util.Map<java.lang.String,java.lang.Object> getPropertiesAsMap()

Return the map of properties.

Returns:
  a Map<String,Object>

#### getDirectives

    java.util.Map<java.lang.String,java.lang.String> getDirectives()

Return the directives of this capability. The returned map can not be modified.

Returns:
  a Map of directives or an empty map there are no directives.